> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitawallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deposit Methods

> This method show Vita Business prices, in order to calculate transactions final amount.

#### Withdrawal prices

#### Structure

| Field | Description |
| --- | --- |
| `valid_until` | Price deadline |
| `business_days_of_payment` | Number of business days Vita Wallet Business needs to complete payment on destination bank account |
| `clp_sell` | CLP Sell price |
| `fixed_cost` | Fixed cost in destination country local |
| `fixed_cost_usd` | Fixed cost in USD |
| `min_amount` | Minimum amount for withdrawal |

The selling price fields correspond to the active balances of the account. For example, if there is an active balance in ARS, there will be an `ars_sell` field.

#### Vita transfer prices

For prices related to transfers to Vita users, there is a `vita_sent` section.

#### Structure

| Field | Description |
| --- | --- |
| `valid_until` | Price deadline |
| `clp_sell` | CLP Sell price |
| `fixed_cost` | Fixed cost in destination country local |
| `fixed_cost_usd` | Fixed cost in USD |

Here the selling price fields correspond to the active balances of the account as well.

Currency sections

You can also obtain `vita_sent` or `withdrawal` prices from each of the currency sections. For example, if you have `clp` active balance, you will also get a `clp` object with its `withdrawal` and `vita_sent` prices object structure.

#### Final amount

To calculate the final amount, you must multiply the amount to be sent by the CLP or the currency of origin of your account sale price in the destination country, also remember that you must subtract the fixed cost of the destination country.

```javascript
const finalAmount = (amount * withdrawal.prices.attributes["clp_sell"]["co"]) - withdrawal.prices.attributes["fixed_cost"]["co"];
```

#### Sent price

#### Structure

| Field | Description |
| --- | --- |
| `valid_until` | Price deadline |
| `clp_sell` | CLP Sell price |
| `fixed_cost` | Fixed cost in destination country local |

#### Final amount

To calculate the final amount, you must multiply the amount to be sent by the CLP or the currency of origin of your account sale price in the destination country, also remember that you must subtract the fixed cost of the destination country.

```javascript
const finalAmount = (amount * vita_send.prices.attributes["clp_sell"]["co"]) - vita_send.prices.attributes["fixed_cost"]["co"];
```

#### Multicurrency

Now Vita Business allows you to use all the currencies available in your wallet, to calculate the destination amount you must use the previous formulas, but selecting the corresponding source currency, for example, if you want to use USD as the source currency, you must select the settings prices for endpoint usd /businesses/prices.

To calculate the final amount, you must multiply the amount to be sent by the USD sales price of your account in the destination country, also remember to subtract the fixed cost of the destination country.

```javascript
const finalAmount = (amount * usd.withdrawal.prices.attributes["usd_sell"]["co"]) - usd.withdrawal.prices.attributes["fixed_cost"]["co"];
```

If you want to use COP, you must use the COP key of the pricing endpoint

To calculate the final amount, you must multiply the amount to be sent by the COP sales price of your account in the destination country, also remember to subtract the fixed cost of the destination country.

```javascript
const finalAmount = (amount * cop.withdrawal.prices.attributes["cop_sell"]["cl"]) - cop.withdrawal.prices.attributes["fixed_cost"]["cl"];
```

#### Payins prices

currency_destiny
Indicates the ISO currency code in which the **owner of the payment link will receive the funds**.

- If this parameter is sent in the **URL**, it can be used to fetch pay-in prices in the specified destination currency.

- This parameter is **optional**. If omitted, prices will be loaded using the **default destination currency** configured for the payment link owner.

    {{base_url}}/api/businesses/prices?currency_destiny=COP

#### Structure

| Field | Description |
| --- | --- |
| `destination_currency` | Currency used to credit payment to the Vita account |
| `source_currency` | Local currency of the country |
| `payment_methods` | Country payment method |

#### Payment method structure

| Field | Description |
| --- | --- |
| `payment_method` | Payment method name |
| `fixed_cost` | Fixed cost in the crediting currency |
| `spread` | Sell ​​spread |
| `spread_type` | Spread type (percentage) |
| `sell_price` | Sell price |

Final amount

You can get the amount in the credit currency of a payment link using the following equation.

```javascript
const finalAmount = ( amount * sell_price ) - fixed_cost
```



## OpenAPI

````yaml /openapi.yaml get /api/businesses/deposits
openapi: 3.0.0
info:
  title: Vita Business API
  description: >-
    Vita Wallet Business API — integra payins, payouts, exchange, transactions,
    users y webhooks para operar pagos en LatAm y el mundo.
  version: 1.0.0
  contact:
    name: Vita Wallet Support
    url: https://vitawallet.io
    email: empresas@vitawallet.io
servers:
  - url: https://api.vitawallet.io
    description: Production
  - url: https://api.stage.vitawallet.io
    description: Sandbox
security:
  - xLogin: []
    xTransKey: []
    xDate: []
    hmacSignature: []
tags:
  - name: Create Payin
  - name: Direct Payment
  - name: Exchange
  - name: Vita Sent
  - name: Bank Payouts
  - name: External Crypto Payouts
  - name: Transactions
  - name: Users Creation
  - name: User Information
  - name: Webhooks
externalDocs:
  url: https://vitawallet.io
  description: Vita Wallet
paths:
  /api/businesses/deposits:
    get:
      tags:
        - User Information
      summary: List Deposit Methods
      description: >-
        This method show Vita Business prices, in order to calculate
        transactions final amount.


        #### Withdrawal prices


        #### Structure


        | Field | Description |

        | --- | --- |

        | `valid_until` | Price deadline |

        | `business_days_of_payment` | Number of business days Vita Wallet
        Business needs to complete payment on destination bank account |

        | `clp_sell` | CLP Sell price |

        | `fixed_cost` | Fixed cost in destination country local |

        | `fixed_cost_usd` | Fixed cost in USD |

        | `min_amount` | Minimum amount for withdrawal |


        The selling price fields correspond to the active balances of the
        account. For example, if there is an active balance in ARS, there will
        be an `ars_sell` field.


        #### Vita transfer prices


        For prices related to transfers to Vita users, there is a `vita_sent`
        section.


        #### Structure


        | Field | Description |

        | --- | --- |

        | `valid_until` | Price deadline |

        | `clp_sell` | CLP Sell price |

        | `fixed_cost` | Fixed cost in destination country local |

        | `fixed_cost_usd` | Fixed cost in USD |


        Here the selling price fields correspond to the active balances of the
        account as well.


        Currency sections


        You can also obtain `vita_sent` or `withdrawal` prices from each of the
        currency sections. For example, if you have `clp` active balance, you
        will also get a `clp` object with its `withdrawal` and `vita_sent`
        prices object structure.


        #### Final amount


        To calculate the final amount, you must multiply the amount to be sent
        by the CLP or the currency of origin of your account sale price in the
        destination country, also remember that you must subtract the fixed cost
        of the destination country.


        ```javascript

        const finalAmount = (amount *
        withdrawal.prices.attributes["clp_sell"]["co"]) -
        withdrawal.prices.attributes["fixed_cost"]["co"];

        ```


        #### Sent price


        #### Structure


        | Field | Description |

        | --- | --- |

        | `valid_until` | Price deadline |

        | `clp_sell` | CLP Sell price |

        | `fixed_cost` | Fixed cost in destination country local |


        #### Final amount


        To calculate the final amount, you must multiply the amount to be sent
        by the CLP or the currency of origin of your account sale price in the
        destination country, also remember that you must subtract the fixed cost
        of the destination country.


        ```javascript

        const finalAmount = (amount *
        vita_send.prices.attributes["clp_sell"]["co"]) -
        vita_send.prices.attributes["fixed_cost"]["co"];

        ```


        #### Multicurrency


        Now Vita Business allows you to use all the currencies available in your
        wallet, to calculate the destination amount you must use the previous
        formulas, but selecting the corresponding source currency, for example,
        if you want to use USD as the source currency, you must select the
        settings prices for endpoint usd /businesses/prices.


        To calculate the final amount, you must multiply the amount to be sent
        by the USD sales price of your account in the destination country, also
        remember to subtract the fixed cost of the destination country.


        ```javascript

        const finalAmount = (amount *
        usd.withdrawal.prices.attributes["usd_sell"]["co"]) -
        usd.withdrawal.prices.attributes["fixed_cost"]["co"];

        ```


        If you want to use COP, you must use the COP key of the pricing endpoint


        To calculate the final amount, you must multiply the amount to be sent
        by the COP sales price of your account in the destination country, also
        remember to subtract the fixed cost of the destination country.


        ```javascript

        const finalAmount = (amount *
        cop.withdrawal.prices.attributes["cop_sell"]["cl"]) -
        cop.withdrawal.prices.attributes["fixed_cost"]["cl"];

        ```


        #### Payins prices


        currency_destiny

        Indicates the ISO currency code in which the **owner of the payment link
        will receive the funds**.


        - If this parameter is sent in the **URL**, it can be used to fetch
        pay-in prices in the specified destination currency.


        - This parameter is **optional**. If omitted, prices will be loaded
        using the **default destination currency** configured for the payment
        link owner.

            {{base_url}}/api/businesses/prices?currency_destiny=COP

        #### Structure


        | Field | Description |

        | --- | --- |

        | `destination_currency` | Currency used to credit payment to the Vita
        account |

        | `source_currency` | Local currency of the country |

        | `payment_methods` | Country payment method |


        #### Payment method structure


        | Field | Description |

        | --- | --- |

        | `payment_method` | Payment method name |

        | `fixed_cost` | Fixed cost in the crediting currency |

        | `spread` | Sell ​​spread |

        | `spread_type` | Spread type (percentage) |

        | `sell_price` | Sell price |


        Final amount


        You can get the amount in the credit currency of a payment link using
        the following equation.


        ```javascript

        const finalAmount = ( amount * sell_price ) - fixed_cost

        ```
      operationId: list-deposit-methods
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              example:
                user_id: 4454
                deposits:
                  - deposit_id: dep_clp_001
                    status: active
                    type: business
                    currencies:
                      - USDC
                      - ARS
                      - MXN
                      - COP
                      - BRL
                      - USD
                      - USDT
                      - EUR
                      - BTC
                      - CLP
                    country: CL
                    data:
                      provider: Vita Usuario
                      email: business@vitawallet.io
                    rules:
                      time_to_credit: Al instante
                      fees: 0%
                      min_amount: null
                  - deposit_id: dep_clp_002
                    status: active
                    type: business
                    currencies:
                      - CLP
                    country: CL
                    data:
                      provider: Transferencia bancaria
                      bank: Banco BCI
                      account_number: 10725105
                      holder_name: Vita Solutions S.p.A.
                      document: 76.974.041-4
                      email: ayuda@vitawallet.io
                      account_type: Corriente
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 0
                      min_amount: 200
                  - deposit_id: dep_clp_003
                    status: active
                    type: business
                    currencies:
                      - CLP
                    country: CL
                    data:
                      provider: Paga con tu banco
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 500
                      min_amount: 1
                  - deposit_id: dep_clp_004
                    status: active
                    type: business
                    currencies:
                      - CLP
                    country: CL
                    data:
                      provider: Webpay
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 3.5%
                      min_amount: 200
                  - deposit_id: dep_clp_005
                    status: active
                    type: business
                    currencies:
                      - CLP
                    country: CL
                    data:
                      provider: Binance Pay
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 1.55%
                      min_amount: 200
                  - deposit_id: dep_clp_006
                    status: active
                    type: business
                    currencies:
                      - EUR
                    country: CL
                    data:
                      provider: Transferencia bancaria
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 0
                      min_amount: 1
                  - deposit_id: dep_clp_007
                    status: active
                    type: business
                    currencies:
                      - USD
                    country: CL
                    data:
                      provider: Skrill
                    rules:
                      time_to_credit: 5 min a 1 hora
                      fees: 4.0%
                      min_amount: 5
components:
  securitySchemes:
    xLogin:
      type: apiKey
      in: header
      name: x-login
      description: Business xLogin
    xTransKey:
      type: apiKey
      in: header
      name: x-trans-key
      description: Business xTransKey
    xDate:
      type: apiKey
      in: header
      name: x-date
      description: ISO8601 datetime
    hmacSignature:
      type: apiKey
      in: header
      name: Authorization
      description: 'V2-HMAC-SHA256 signature. Example: `V2-HMAC-SHA256, Signature: <hash>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.